oracle.jdbc.aq

## Enum AQEnqueueOptions.VisibilityOption

- java.lang.Object
- - java.lang.Enum<AQEnqueueOptions.VisibilityOption>
  - - oracle.jdbc.aq.AQEnqueueOptions.VisibilityOption

All Implemented Interfaces:
  Serializable, Comparable<AQEnqueueOptions.VisibilityOption>

Enclosing class:
  AQEnqueueOptions

    public static enum AQEnqueueOptions.VisibilityOption
    extends Enum<AQEnqueueOptions.VisibilityOption>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IMMEDIATE` The enqueue is not part of the current transaction.
`ON_COMMIT` The enqueue is part of the current transaction.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQEnqueueOptions.VisibilityOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AQEnqueueOptions.VisibilityOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ON_COMMIT

    public static final AQEnqueueOptions.VisibilityOption ON_COMMIT

The enqueue is part of the current transaction. The operation is complete when the transaction commits. This is the default.

#### IMMEDIATE

    public static final AQEnqueueOptions.VisibilityOption IMMEDIATE

The enqueue is not part of the current transaction. The operation constitutes a transaction of its own which commits at the end of the call.

### Method Detail

#### values

    public static AQEnqueueOptions.VisibilityOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQEnqueueOptions.VisibilityOption c : AQEnqueueOptions.VisibilityOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQEnqueueOptions.VisibilityOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.